# SharePoint / Intranet

Using iframes you can embed certain views from tiny+ into your intranet platform.

## Embedding the News Feed

Use this URI: <https://crm.tiny.plus/embedded>

#### An example implementation

```markup
<iframe src="https://crm.tiny.plus/embedded" width="800" height="700"></iframe>
```

## Embedding a News Feed Channel

Use this URI structure: <https://crm.tiny.plus/embedded/?channel=[channel_id]>

You can locate the Channel ID required in the tiny+ address bar when you have the channel page open.

#### An example implementation

```markup
<iframe src="https://crm.tiny.plus/embedded/?channel=[channel_id]" width="800" height="700"></iframe>
```

## Embedding the Event Calendar

Use this URI: <https://crm.tiny.plus/embed_calendar>

#### An example implementation

```markup
<iframe src="https://crm.tiny.plus/embed_calendar" width="800" height="700"></iframe>
```

## Embedding a single project or company pipeline column

Use this URI structure: <https://crm.tiny.plus/embed/pipeline_part/[projects_or_companies]/[phase_id_or_status_name]/[pipeline_id_or_type]>

#### Explanation of URI components

`projects_or_companies` - which pipeline to show -- use `projects` for the project pipeline or `companies` for the client relationship pipeline.

`phase_id_or_status_name` - a valid pipeline phase ID. These IDs can be found in the Project Pipeline and Client Pipeline sections in your Account Settings. If you have not set up phases under a particular status (proposed, won, active, lost, cancelled) you can use the status name instead.

`pipeline_id_or_type` - *optional*. Leave this blank or use the phrase `all` to show ALL records, or insert either the `ID of a custom pipeline` or the phrase `assigned` to show the user's individually assigned pipeline.

#### For example...

To embed your list of Active projects: <https://crm.tiny.plus/embed/pipeline_part/projects/active>

To embed a projects pipeline column with phase id of 1234, <https://crm.tiny.plus/embed/pipeline_part/projects/1234>&#x20;

#### An example implementation

```markup
<iframe src="https://crm.tiny.plus/embed/pipeline_part/projects/1234" width="300" height="800"></iframe>
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tiny.plus/guides/integrations/sharepoint-intranet.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
